LibreOffice LibreOffice 4.1 SDK C/C++ API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Protected Member Functions | List of all members
cppu::OComponentHelper Class Referenceabstract

Deprecated. More...

`#include <component.hxx>`

Inheritance diagram for cppu::OComponentHelper:

## Public Member Functions
| OComponentHelper (::osl::Mutex &rMutex) throw ()
| Constructor. More...
virtual | ~OComponentHelper () throw (::com::sun::star::uno::RuntimeException)
| Destructor. More...
virtual ::com::sun::star::uno::Any | queryInterface (::com::sun::star::uno::Type const &rType) throw (::com::sun::star::uno::RuntimeException)
virtual ::com::sun::star::uno::Any | queryAggregation (::com::sun::star::uno::Type const &rType) throw (::com::sun::star::uno::RuntimeException)
virtual void | acquire () throw ()
| If a delegator is set, then the delegators gets acquired. More...
virtual void | release () throw ()
| If a delegator is set, then the delegators gets released. More...
virtual ::com::sun::star::uno::Sequence < sal_Int8 > | getImplementationId ()=0 throw (::com::sun::star::uno::RuntimeException)
virtual ::com::sun::star::uno::Sequence < ::com::sun::star::uno::Type > | getTypes () throw (::com::sun::star::uno::RuntimeException)
virtual void | dispose () throw (::com::sun::star::uno::RuntimeException)
virtual void | addEventListener (const ::com::sun::star::uno::Reference< ::com::sun::star::lang::XEventListener > &aListener) throw (::com::sun::star::uno::RuntimeException)
virtual void | removeEventListener (const ::com::sun::star::uno::Reference< ::com::sun::star::lang::XEventListener > &aListener) throw (::com::sun::star::uno::RuntimeException)
Public Member Functions inherited from cppu::OWeakAggObject
| OWeakAggObject () throw ()
| Constructor. More...
virtual ::com::sun::star::uno::Any | queryInterface (const ::com::sun::star::uno::Type &rType) throw (::com::sun::star::uno::RuntimeException)
| If a delegator is set, then the delegator is queried for the demanded interface. More...
virtual void | setDelegator (const ::com::sun::star::uno::Reference< ::com::sun::star::uno::XInterface > &Delegator) throw (::com::sun::star::uno::RuntimeException)
| Set the delegator. More...
virtual ::com::sun::star::uno::Any | queryAggregation (const ::com::sun::star::uno::Type &rType) throw (::com::sun::star::uno::RuntimeException)
| Called by the delegator or queryInterface. More...
Public Member Functions inherited from cppu::OWeakObject
| OWeakObject () throw ()
| Default Constructor. More...
| OWeakObject (const OWeakObject &rObj) throw ()
| Dummy copy constructor. More...
OWeakObject & | operator= (const OWeakObject &) throw ()
| Dummy assignment operator. More...
virtual ::com::sun::star::uno::Any | queryInterface (const ::com::sun::star::uno::Type &rType) throw (::com::sun::star::uno::RuntimeException)
| Basic queryInterface() implementation supporting ::com::sun::star::uno::XWeak and ::com::sun::star::uno::XInterface. More...
virtual ::com::sun::star::uno::Reference < ::com::sun::star::uno::XAdapter > | queryAdapter () throw (::com::sun::star::uno::RuntimeException)
| XWeak::queryAdapter() implementation. More...
| operator::com::sun::star::uno::Reference () throw ()
| Cast operator to XInterface reference. More...

## Protected Member Functions
virtual void | disposing ()
| Called in dispose method after the listeners were notified. More...
Protected Member Functions inherited from cppu::OWeakAggObject
virtual | ~OWeakAggObject () throw (::com::sun::star::uno::RuntimeException)
| Virtual dtor. More...
Protected Member Functions inherited from cppu::OWeakObject
virtual | ~OWeakObject () throw (::com::sun::star::uno::RuntimeException)
| Virtual dtor. More...
void | disposeWeakConnectionPoint ()
| disposes and resets m_pWeakConnectionPoint More...

## Additional Inherited Members
Protected Attributes inherited from cppu::OWeakAggObject
::com::sun::star::uno::WeakReferenceHelper | xDelegator
| weak reference to delegator. More...
Protected Attributes inherited from cppu::OWeakObject
oslInterlockedCount | m_refCount
| reference count. More...

## Detailed Description

Deprecated.

Helper for implementing com::sun::star::lang::XComponent. Upon disposing objects of this class, sub-classes receive a disposing() call. Objects of this class can be held weakly, i.e. by a com::sun::star::uno::WeakReference. Object of this class can be aggregated, i.e. incoming queryInterface() calls are delegated.

Attention
  The life-cycle of the passed mutex reference has to be longer than objects of this class.

Deprecated:

## Constructor & Destructor Documentation

cppu::OComponentHelper::OComponentHelper | ( | ::osl::Mutex & | rMutex | ) |
throw | ( |
| ) |  |

Constructor.

Parameters

  rMutex | the mutex used to protect multi-threaded access; lifetime must be longer than the lifetime of this object.

virtual cppu::OComponentHelper::~OComponentHelper | ( |  | ) |
throw | ( | ::com::sun::star::uno::RuntimeException
| ) |  |
| virtual

Destructor.

If this object was not disposed previously, object will be disposed manually.

## Member Function Documentation

virtual void cppu::OComponentHelper::acquire | ( |  | ) |
throw | ( |
| ) |  |
| virtual

If a delegator is set, then the delegators gets acquired.

Otherwise call is delegated to base class cppu::OWeakObject.

Reimplemented from cppu::OWeakAggObject.

virtual void cppu::OComponentHelper::addEventListener | ( | const ::com::sun::star::uno::Reference< ::com::sun::star::lang::XEventListener > & | aListener | ) |
throw | ( | ::com::sun::star::uno::RuntimeException
| ) |  |
| virtual

virtual void cppu::OComponentHelper::dispose | ( |  | ) |
throw | ( | ::com::sun::star::uno::RuntimeException
| ) |  |
| virtual

virtual void cppu::OComponentHelper::disposing | ( |  | ) |
| protected virtual

Called in dispose method after the listeners were notified.

virtual ::com::sun::star::uno::Sequence< sal_Int8 > cppu::OComponentHelper::getImplementationId | ( |  | ) |
throw | ( | ::com::sun::star::uno::RuntimeException
| ) |  |
| pure virtual

Attention
  XTypeProvider::getImplementationId() has to be implemented separately!

virtual ::com::sun::star::uno::Sequence< ::com::sun::star::uno::Type > cppu::OComponentHelper::getTypes | ( |  | ) |
throw | ( | ::com::sun::star::uno::RuntimeException
| ) |  |

Attention
  XTypeProvider::getTypes() has to be re-implemented!

virtual ::com::sun::star::uno::Any cppu::OComponentHelper::queryAggregation | ( | ::com::sun::star::uno::Type const & | rType | ) |
throw | ( | ::com::sun::star::uno::RuntimeException
| ) |  |

virtual ::com::sun::star::uno::Any cppu::OComponentHelper::queryInterface | ( | ::com::sun::star::uno::Type const & | rType | ) |
throw | ( | ::com::sun::star::uno::RuntimeException
| ) |  |

virtual void cppu::OComponentHelper::release | ( |  | ) |
throw | ( |
| ) |  |
| virtual

If a delegator is set, then the delegators gets released.

Otherwise call is delegated to base class cppu::OWeakObject.

Reimplemented from cppu::OWeakAggObject.

virtual void cppu::OComponentHelper::removeEventListener | ( | const ::com::sun::star::uno::Reference< ::com::sun::star::lang::XEventListener > & | aListener | ) |
throw | ( | ::com::sun::star::uno::RuntimeException
| ) |  |
| virtual

The documentation for this class was generated from the following file:

- cppuhelper/component.hxx